Subject: bug#27985: [25.2] delete-indentation: restore correct point (and..) [PATCH INCLUDED]

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Jun 2019 18:20:31 +0200

Boruch Baum <[email-masked]> writes:

> 1] Function `delete-indentation' does not preserve point. The attached
> patch fixes that for joining lines both forward and backward.

I tested the command now, and it seems like it now preserves point.  But
it's been completely rewritten from when this bug report was written...

> 2] Also included is a wrapper function, `my-join-lines' that I'd like to
> propose be included in emacs.
>
> 2.1] The wrapper function adds the ability to:
>
> 2.1.1] Act on regions;
>
> 2..1.2] Accept a numeric prefix argument for the number of lines to join
> in either direction.
>
> 2.2] Lines of the wrapper function annotated on the right with the
> string `; ┃' are only necessary if the proposed patch to function
> `delete-indentation' is rejected.

Looking at the new implementation, it seems like it does most of this
now, including the region stuff, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no